web2py存在命令执行(CVE-2023-45158)

威胁等级
高危
漏洞分类
远程命令执行
影响资产分类
应用服务
检索条件
游客用户没有权限查看,请登录
DVB
DVB-2023-5437
CVE
CVE-2023-45158
CNVD
-
CNNVD
-

漏洞描述

该漏洞为Web2PY 2.24.1之前版本的OS命令注入漏洞。 当用户没采用默认配置,其配置文件中使用NotifySendHandler进行登录(不是默认配置)时,攻击者可精心设计的Web请求可以使用产品在Web服务器上执行任意OS命令。

漏洞详情

游客用户没有权限查看,请登录

修复建议

请关注厂商的修复版本,并及时更新到最新版本.

POC下载

环境验证

王大爷是我

历史积分:6224
提交POC:255